## org.flexdock.docking.drag.outline.win32
Class Win32RubberBand

    java.lang.Object
      org.flexdock.docking.drag.effects.RubberBand
          org.flexdock.docking.drag.outline.win32.Win32RubberBand

    public class Win32RubberBand

extends RubberBand

Author:
  Christopher Butler To change the template for this generated type comment go to Window>Preferences>Java>Code Generation>Code and Comments

Field Summary

Fields inherited from class org.flexdock.docking.drag.effects.RubberBand
`DEBUG_OUTPUT`

Constructor Summary
`Win32RubberBand()`

Method Summary
`void` `clear()`
`void` `paint(java.awt.Graphics g, java.awt.Rectangle r)`

Methods inherited from class org.flexdock.docking.drag.effects.RubberBand
`paint, paint, paint`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Win32RubberBand

    public Win32RubberBand()

Method Detail

### paint

    public void paint(java.awt.Graphics g,
                      java.awt.Rectangle r)

  Overrides:
    `paint` in class `RubberBand`

### clear

    public void clear()

  Overrides:
    `clear` in class `RubberBand`